Bug 211737 - Review Request: perl-Class-Data-Accessor - CPAN module aids OO development for perl classes
Review Request: perl-Class-Data-Accessor - CPAN module aids OO development fo...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-21 11:15 EDT by Al Pacifico
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 23:33:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Al Pacifico 2006-10-21 11:15:56 EDT
Spec URL: http://www.drizzle.com/~pacifico/perl-Class-Data-Accessor.spec
SRPM URL: http://www.drizzle.com/~pacifico/perl-Class-Data-Accessor-0.03-1.src.rpm
Description: Class::Data::Accessor is the marriage of Class::Accessor and
Class::Data::Inheritable into a single module. It is used for creating
accessors to class data that are overridable in subclasses as well as in class
instances.

N.B. My second package review submission. I am looking for a sponsor.
Comment 1 Chris Weyl 2006-10-25 00:16:37 EDT
Ok, so maybe it's just my machine is a little grumpy with me for upgrading to
fc6, but with that source0 line spectool actually fetched a _symlink_.  Filed
at bug 212108.

Usually when there's both a Build.PL and Makefile.PL, Build.PL is the
preferred mechanism to build the module.  Not a blocker, however (and
Makefile.PL is pretty much jsut a shell to Build.PL in this case anyways).

The spec is missing perl(Test::Pod) as a br for one of the tests... Add this
and the package is be approved.

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license (Build.PL)
+ license is open source-compatible.  License text not included upstream. 
+ source files match upstream:
 ebd99741ed0d65e95724ee72dae56bbe  Class-Data-Accessor-0.03.tar.gz
 ebd99741ed0d65e95724ee72dae56bbe  Class-Data-Accessor-0.03.tar.gz.srpm
+ latest version is being packaged.
X BuildRequires are proper.
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-Class-Data-Accessor-0.03-1.fc5.noarch.rpm
 == rpmlint
 == provides
 perl(Class::Data::Accessor) = 0.03
 perl-Class-Data-Accessor = 0.03-1.fc5
 == requires
 perl(:MODULE_COMPAT_5.8.8)
 perl(Carp)
 perl(strict)
 perl(vars)
+ no shared libraries are present.
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ %check is present and all tests pass:
All tests successful.
Files=3, Tests=21,  0 wallclock secs ( 0.18 cusr +  0.09 csys =  0.27 CPU)
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.
Comment 2 Chris Weyl 2006-10-25 00:22:25 EDT
One additional thing I should have noted....  With noarch perl packages, it's
possible to trim the OPTIMIZE="$RPM_OPT_FLAGS" being passed in %build, and to
remove the entire "find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm
-f {} ';'" line from %install.  This is not a blocker, but rather just a matter
of eliminating parts of the spec template that are not needed for noarch perl
packages.
Comment 3 Jason Tibbitts 2007-06-01 22:55:16 EDT
Well, it's been more than half a year since the last comment.  Is anything
happening here?
Comment 4 Jason Tibbitts 2007-06-09 23:33:37 EDT
I guess now; closing.

Note You need to log in before you can comment on or make changes to this bug.